Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Enum ArrivalProcessStreamType

    java.lang.Object
      java.lang.Enum<ArrivalProcessStreamType>
          umontreal.iro.lecuyer.contactcenters.msk.model.ArrivalProcessStreamType

All Implemented Interfaces:
  Serializable, Comparable<ArrivalProcessStreamType>

    public enum ArrivalProcessStreamType

extends Enum<ArrivalProcessStreamType>

Types of random streams for arrival processes.

Enum Constant Summary
`INTERARRIVAL` Stream for inter-arrival times.
`RATES` Stream for random arrival rates, in the case of doubly-stochastic arrival processes.

Method Summary
`static ArrivalProcessStreamType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ArrivalProcessStreamType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTERARRIVAL

    public static final ArrivalProcessStreamType INTERARRIVAL

  Stream for inter-arrival times.

### RATES

    public static final ArrivalProcessStreamType RATES

  Stream for random arrival rates, in the case of doubly-stochastic arrival processes.

Method Detail

### values

    public static ArrivalProcessStreamType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ArrivalProcessStreamType c : ArrivalProcessStreamType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ArrivalProcessStreamType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.